<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[debuggerp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Debugging protocol similar to those found in most Prolog compilers.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[trace/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[trace]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Starts tracing all message sending events.]]></comment>
</predicate>
<predicate>
<name><![CDATA[notrace/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[notrace]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Stops tracing.]]></comment>
</predicate>
<predicate>
<name><![CDATA[debug/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[debug]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Activates spy points and starts debugging.]]></comment>
</predicate>
<predicate>
<name><![CDATA[nodebug/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[nodebug]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Suspends spy points and stops debugging.]]></comment>
</predicate>
<predicate>
<name><![CDATA[debugging/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[debugging]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the debugger is active.]]></comment>
</predicate>
<predicate>
<name><![CDATA[init/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[init]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Initializes debugger, turns debugging off and resets all spy points and streams.]]></comment>
</predicate>
<predicate>
<name><![CDATA[stream/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[stream(?atom,?stream)]]></template>
<solutions>zero_or_more</solutions>
</mode>
<comment><![CDATA[Current debugger input or ouput streams.]]></comment>
<template><![CDATA[stream(Kind,Stream)]]></template>
</predicate>
<predicate>
<name><![CDATA[set_stream/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[set_stream(+atom,+stream)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Sets the debugger input or output stream.]]></comment>
<template><![CDATA[set_stream(Kind,Stream)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
